# coding: utf8
# 
# This file is released under the terms of the GNU General Public License
# as they appear in http://www.gnu.org/licenses/gpl.txt.
#
# Copyright 2009-2017 erwin.rieger@ibrieger.de
#

# CVS version: $Revision: 1.7 $ $Date: 2017-05-19 16:33:20 $

#
# Debugbibliothek, emuliert klasse PPStopUhr ohne die entsprechende Hardware
# am ParPort
#

import time, os

runningOnWindows = False
try:
    os.uname()
except AttributeError:
    # Windows
    runningOnWindows = True
    import winsound


def sound():
    
    if runningOnWindows:
        try:
            winsound.PlaySound("prompt.wav", winsound.SND_FILENAME + winsound.SND_PURGE + winsound.SND_PURGE + winsound.SND_PURGE)
        except RuntimeError, why:
            print "sound(): can't play sound:", why
    else:
        os.system("aplay prompt.wav > /tmp/lichtschranke_aplay.log 2>&1 &")

class PPStopUhr:

        def __init__(self):
                self.packet = None

                #
                # Zeitmessung mit time.time() oder time.clock(), je nach
                # betriebssystem:
                #
                if runningOnWindows:
                    self.timeFunc = time.clock
                else:
                    self.timeFunc = time.time

        def recvStartStop(self):

                ret = self.packet
                self.packet = None
                return ret

        def startstop(self):

                self.packet = (155, 0, self.timeFunc())

